## CamelTextIndex

CamelTextIndex

## Synopsis

    void                (*CamelTextIndexFunc)               (CamelTextIndex *idx,
                                                             const gchar *word,
                                                             gchar *buffer);
                        CamelTextIndex;
                        CamelTextIndexCursor;
                        CamelTextIndexKeyCursor;
                        CamelTextIndexName;
    CamelTextIndex *    camel_text_index_new                (const gchar *path,
                                                             gint flags);
    gint                camel_text_index_check              (const gchar *path);
    gint                camel_text_index_rename             (const gchar *old,
                                                             const gchar *new);
    gint                camel_text_index_remove             (const gchar *old);
    void                camel_text_index_dump               (CamelTextIndex *idx);
    void                camel_text_index_info               (CamelTextIndex *idx);
    void                camel_text_index_validate           (CamelTextIndex *idx);

## Object Hierarchy

      GObject
       +----CamelObject
             +----CamelIndex
                   +----CamelTextIndex

      GObject
       +----CamelObject
             +----CamelIndexCursor
                   +----CamelTextIndexCursor

      GObject
       +----CamelObject
             +----CamelIndexCursor
                   +----CamelTextIndexKeyCursor

      GObject
       +----CamelObject
             +----CamelIndexName
                   +----CamelTextIndexName

## Description

## Details

### CamelTextIndexFunc ()

    void                (*CamelTextIndexFunc)               (CamelTextIndex *idx,
                                                             const gchar *word,
                                                             gchar *buffer);

`idx` : |
`word` : |
`buffer` : |

### CamelTextIndex

    typedef struct _CamelTextIndex CamelTextIndex;

### CamelTextIndexCursor

    typedef struct _CamelTextIndexCursor CamelTextIndexCursor;

### CamelTextIndexKeyCursor

    typedef struct _CamelTextIndexKeyCursor CamelTextIndexKeyCursor;

### CamelTextIndexName

    typedef struct _CamelTextIndexName CamelTextIndexName;

### camel_text_index_new ()

    CamelTextIndex *    camel_text_index_new                (const gchar *path,
                                                             gint flags);

`path` : |
`flags` : |
Returns : |

### camel_text_index_check ()

    gint                camel_text_index_check              (const gchar *path);

`path` : |
Returns : |

### camel_text_index_rename ()

    gint                camel_text_index_rename             (const gchar *old,
                                                             const gchar *new);

`old` : |
`new` : |
Returns : |

### camel_text_index_remove ()

    gint                camel_text_index_remove             (const gchar *old);

`old` : |
Returns : |

### camel_text_index_dump ()

    void                camel_text_index_dump               (CamelTextIndex *idx);

`idx` : |

### camel_text_index_info ()

    void                camel_text_index_info               (CamelTextIndex *idx);

`idx` : |

### camel_text_index_validate ()

    void                camel_text_index_validate           (CamelTextIndex *idx);

`idx` : |